Summary:     Helper application and MIME type associations for file types
Summary(ja):　ファイル形式に対するヘルパーアプリケーションとMIMEタイプの対応データベース
Name: mailcap
Version: 2.1.37
Release: 1%{?_dist_release}

License: Public Domain and MIT
Group: System Environment/Base
URL:   http://git.fedorahosted.org/git/mailcap.git

Source0: https://fedorahosted.org/released/mailcap/%{name}-%{version}.tar.xz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The mailcap file is used by the metamail program. Metamail reads the
mailcap file to determine how it should display non-text or multimedia
material. Basically, mailcap associates a particular type of file with
a particular program that a mail agent or other program can call to
handle the file. Mailcap should be installed to allow certain programs 
to be able to handle non-text files.

%description -l ja
mailcap は metamail プログラムが使用します．Metamail は非テキスト形式の
ファイルやマルチメディアファイルをどのように表示するかを決定するために, 
mailcap の情報を読み込みます. mailcap は基本的には, 特定のファイル形式と
メーラなどのプログラムがその形式のファイルを操作するための特定のプログラム
とを関連づけます. 

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT sysconfdir=%{_sysconfdir}
mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING NEWS
%config(noreplace) %{_sysconfdir}/mailcap
%config(noreplace) %{_sysconfdir}/mime.types
%{_mandir}/man4/mailcap.*

%changelog
* Wed Apr 13 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.37-1
- new upstream release
- add URL
- add MIT to License:
- cleanup spec file

* Fri Jun  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.23-1
- applied new versioning policy
- spec in UTF-8

* Sat Sep 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.23-0vl1
- new upstream release

* Sun Feb 22 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.14-1vl1
- based on Fedora 2.1.14-1
  * Fri Jul 11 2003 Bill Nottingham <notting@redhat.com> 2.1.14-1
  - add application/ogg and OpenOffice.org mime.types
  * Fri Feb  7 2003 Bill Nottingham <notting@redhat.com> 2.1.13-1
  - resync mime.types with apache
  - clean out mailcap some
  * Tue Sep  3 2002 Bill Nottingham <notting@redhat.com> 2.1.12-1
  - add application/x-ogg to mime.types
  * Fri Jul 19 2002 Jens Petersen <petersen@redhat.com> 2.1.11-1
  - use eog instead of ee
  * Tue Jun 18 2002 Nalin Dahyabhai <nalin@redhat.com> 2.1.10-1
  - resync mime.types with apache 1.3.26
  * Thu Dec 24 2001 Bill Nottingham <notting@rehdat.com> 2.1.9-1
  - fix Sep. 17 changes (#57362)
  * Tue Oct 23 2001 Nalin Dahyabhai <nalin@redhat.com> 2.1.8-1
  - resync mime.types with apache 1.3.22
  * Mon Sep 17 2001 Bill Nottingham <notting@redhat.com> 2.1.7-1
  - associate PS files with gv (#53734)
- s/Copyright/License/
- added Japanese summary and description
- added patch0 to use w3m instead of htmlview

* Sat Aug 18 2001 <sagami@vinelinux.org>
- 2.1.6-1vl1: was ported to Vine

* Fri Aug 10 2001 Bill Nottingham <notting@redhat.com>
- switch gtv & xanim order (#51408)

* Wed Jul 17 2001 Bill Nottingham <notting@redhat.com>
- use htmlview for text/html (#48141)

* Wed Mar 21 2001 Tim Waugh <twaugh@redhat.com> 2.1.4-2
- Use gtv not xanim for video/mpeg, since we no longer ship the codecs.

* Thu Jan 18 2001 Bill Nottingham <notting@redhat.com>
- use gpg, not pgp (#13816, others)

* Sat Jan  6 2001 Bill Nottingham <notting@redhat.com>
- fix typo (#23409)

* Thu Dec 28 2000 Bill Nottingham <notting@redhat.com>
- reintegrate stuff into the package so it doesn't get lost 

* Thu Dec 28 2000 Than Ngo <than@redhat.com>
- add ms(TM) word document entry (Bug #17474)
- bzip2 sources

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- add wap entries

* Fri Jun  9 2000 Bill Nottingham <notting@redhat.com>
- remove mailcap.vga

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Tue Jan 18 2000 Bill Nottingham <notting@redhat.com>
- add .bz2

* Thu Jan 13 2000 Bill Nottingham <notting@redhat.com>
- add tgz/gz to gzip

* Thu Jun 16 1999 Bill Nottingham <notting@redhat.com>
- rpm files are RPM files. :)

* Sat May 15 1999 Jeff Johnson <jbj@redhat.com>
- fix typo in pdf entry (#2618).

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- comment out play

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated mime type for images from xv to ee
- cleaned up for our new version of the package which is in CVS

* Sat Mar 13 1999 Matt Wilson <msw@redhat.com>
- updated mime.types

* Fri Feb 12 1999 Bill Nottingham <notting@redhat.com>
- comment out backticked %variables to work around security problems

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc version 2.1

* Mon Sep 21 1998 Bill Nottingham <notting@redhat.com>
- we don't ship tracker, use mikmod instead

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- added /etc/mime.types from mutt to this package to make it universal

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
